from numpy import *             
from matplotlib import rcParams
rcParams['font.family'] = 'serif'
rcParams['font.sans-serif'] = 'Times'
rcParams['font.size'] = 7

from matplotlib.ticker import ScalarFormatter, FormatStrFormatter, MaxNLocator

import matplotlib.pyplot as plt
import matplotlib.gridspec as gridspec

import os

target_x  = 150.
target_y  = 0.0
omezeni   = 50.

f   = open('vysledek.output', 'r')

x = array([])
y = array([])

for line in f:
    
    if line.split():
    
        if not line.split()[0]=='X':
        
            x=append(x,float(line.split()[0]))
            y=append(y,float(line.split()[1]))

f.close()

yn=[]
for i in range(1,len(y)): 

    if y[i-1]>target_y and y[i]<target_y and yn==[]:
        yn=y[i]
        xn=x[i]
        yp=y[i-1]
        xp=x[i-1]

k   = (yp-yn)/(xp-xn)
q   = yp-k*xp

identified_x  = (target_y-q)/k

plt.plot(x,y,'r.')
plt.plot(identified_x,target_y,'ro',ms=7)
plt.plot(target_x,target_y,'go',ms=10)
plt.plot(array([0, 250]),array([omezeni,omezeni]),'b--',ms=10)

plt.grid(True)
plt.xlabel('$x$ [m]')
plt.ylabel('$y$ [m]')
plt.axis([0, 250, 0, 100]) 

plt.savefig('figure.pdf', format='pdf')

f = open('optislang.output', 'w')
f.write('%1.16e\n' % identified_x)
f.write('%1.16e\n' % max(y))
f.close()